Package com.logicaldoc.core.conversion

# Class NoConversionConverter

java.lang.Object
com.logicaldoc.core.conversion.NotAvailableConverter
com.logicaldoc.core.conversion.NoConversionConverter

All Implemented Interfaces:
  `FormatConverter`

public class NoConversionConverter extends NotAvailableConverter
A converter that simply copies the source to the destination

Since:
  8.0
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`NoConversionConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(File src, File dest)`
Performs the conversion

### Methods inherited from class com.logicaldoc.core.conversion.NotAvailableConverter

`convert, getParameter, getParameterNames, getParameters, isEnabled, loadParameters, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoConversionConverter

public NoConversionConverter()

## Method Details

### convert

public void convert(File src, File dest) throws IOException
Description copied from interface: `FormatConverter`
Performs the conversion

Specified by:
  `convert` in interface `FormatConverter`
Overrides:
  `convert` in class `NotAvailableConverter`
Parameters:
  `src` - The source file
  `dest` - The converted file, the extension of it's filename defines the output format
Throws:
  `IOException` - raised if the conversion resulted in an error